module Bonanza
  module LinkStrategies
    class Billing < Base
      def paths
        {
          debtor: "/DebitorEdit.aspx?DebiNbr=%{reference}",
        }
      end

      def domain
        case environment.to_s
        when 'development'
          "http://billing.dev"
        when 'test'
          "http://billing.test"
        when 'staging'
          'http://billing.dev'
        when 'production'
          'https://billingfw.nine.ch'
        end
      end
    end
  end
end
