module Bonanza
  module LinkStrategies
    class Stats < Base
      def paths
        {
          customer: '/admin/customerdetail.php?id=%{reference}',
          server: '/admin/changeserver.php?id=%{reference}',
          vserver: '/admin/vserverdetail.php?id=%{reference}',
          rack: '/admin/changerack.php?id=%{reference}',
          port: '/admin/changeport.php?id=%{reference}',
          :'ip:v4:subnet' => '/admin/changesubnet.php?version=4&id=%{reference}',
          :'ip:v6:subnet' => '/admin/changesubnet.php?version=6&id=%{reference}',
        }
      end
    end
  end
end
