require 'active_model'

module Bonanza
  module Validators
    class OtrsNumberValidator < ActiveModel::EachValidator
      def validate_each(record, attribute, value)
        unless value.to_s =~ /^\d{16}$/i
          record.errors.add attribute, :not_an_otrs_ticket
        end
      end
    end
  end
end
