require 'bonanza/link_helpers'
require 'bonanza/call_link_helpers'
require 'bonanza/urn_link_helpers'
require 'bonanza/validators'
require 'bonanza/link_strategies'

module Bonanza
  class Engine < ::Rails::Engine
    initializer 'bonanza.link_helpers' do
      ActionView::Base.send :include, LinkHelpers
      ActionView::Base.send :include, UrnLinkHelpers
      ActionView::Base.send :include, CallLinkHelpers
    end
  end
end
